=== debian/changelog ===
libtcod (1.5.1-maemo1) unstable; urgency=low

  * Initial release
  * NO_OPENGL (include/libtcod.h)

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Thu, 14 Jul 2011 22:21:40 +0200
