=== debian/control ===
Source: libtcod
Section: libs
Priority: optional
Maintainer: Aapo Rantalainen <aapo.rantalainen@gmail.com> 
Build-Depends: debhelper (>= 5.0.42), libsdl1.2-dev, cmake, zlib1g-dev, libpng12-dev
Standards-Version: 3.8.1
Homepage: http://doryen.eptalys.net/libtcod/

Package: libtcod
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Library for roguelike games

Package: libtcod-dev
Section: libdevel
Architecture: any
Depends: libtcod (= ${Source-Version})
Description: Library for roguelike games. Headers
