=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode:
# export DH_VERBOSE = 1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@  --parallel --sourcedirectory=build/autotools

run_autoreconf:
	cd build/autotools; ./run_autotools.sh

override_dh_auto_configure: run_autoreconf
	dh_auto_configure

override_dh_auto_build:
	dh_auto_build
	dh_auto_build --sourcedirectory=build/autotools/gui

override_dh_auto_install:
	dh_auto_install
	dh_auto_install --sourcedirectory=build/autotools/gui
