=== debian/watch ===
version=4
opts="dversionmangle=s/\+dfsg\d*$//, uversionmangle=s/-pre/~pre/" https://bitbucket.org/libtcod/libtcod/downloads .*/(\d\S*)\.tar\.gz debian uupdate
