## libtcod 1.6.1+dfsg

=== debian/changelog ===
libtcod (1.6.1+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Fix debian/watch.
  * Update patches:
     - Remove 0001-Use-global-zlib.h.patch (fixed upstream).
     - Rewrite 0002-Fix-soname.patch as 00-fix-makefile.patch.
     - Remove 0003-Fix-spelling-errors.patch (fixed upstream).
     - Remove 0005-Fix-warnings.patch (fixed upstream).
     - Rename patch 0004-Fix-cppcheck.patch as 01-fix-cppcheck.patch.
  * Update symbols file.
  * Adjust debian/rules.
  * Update debian/copyright.
  * Install upstream changelog.
  * Add the python-libtcod package.
  * Add patch 02-python-multiarch.patch to help the Python wrapper find
    libtcod.so in /usr/lib/<MULTIARCH>/.
  * Add debian/clean file and override_dh_auto_clean target in debian/rules.

 -- Fabian Wolff <fabi.wolff@arcor.de>  Fri, 21 Oct 2016 18:59:46 +0200
