=== debian/control ===
--- 
+++ 
@@ -8,7 +8,9 @@
                libtool,
                pkg-config,
                libsdl2-dev,
-               zlib1g-dev
+               zlib1g-dev,
+               python,
+               dh-python
 Standards-Version: 3.9.8
 Homepage: https://bitbucket.org/libtcod/libtcod
 
@@ -38,3 +40,18 @@
  and lots of other utilities frequently used in roguelikes.
  .
  This package contains the development files.
+
+Package: python-libtcod
+Architecture: all
+Section: python
+Depends: libtcod-dev (>= ${binary:Version}),
+         ${shlibs:Depends},
+         ${misc:Depends},
+         ${python:Depends}
+Description: Python bindings for the libtcod library
+ Libtcod offers a free, fast, portable and uncomplicated API for
+ roguelike developers providing an advanced true color console, input
+ and lots of other utilities frequently used in roguelikes.
+ .
+ This package contains the libtcodpy wrapper module needed to use
+ libtcod in Python programs.
