=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode:
# export DH_VERBOSE = 1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@  --with python2 --parallel --sourcedirectory=build/autotools

override_dh_auto_configure:
	cd build/autotools; autoreconf -fi
	dh_auto_configure

override_dh_auto_clean:
	-cd build/autotools; make distclean

override_dh_installchangelogs:
	dh_installchangelogs libtcod-CHANGELOG.txt
