=== debian/changelog ===
libtcod (1.6.3+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * debian/control: Upgrade to Standards-Version 4.0.0 (no changes).
  * Upgrade to debhelper compat level 10.
  * Update symbols file.
  * Update debian/copyright.
  * Refresh patches.

 -- Fabian Wolff <fabi.wolff@arcor.de>  Wed, 21 Jun 2017 16:50:29 +0200
