=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Maintainer: Fabian Wolff <fabi.wolff@arcor.de>
 Section: libs
 Priority: extra
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10),
                autoconf,
                automake,
                libtool,
@@ -11,7 +11,7 @@
                zlib1g-dev,
                python,
                dh-python
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Homepage: https://bitbucket.org/libtcod/libtcod
 
 Package: libtcod0
