## libtcod 1.6.4%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: libtcod
 Maintainer: Fabian Wolff <fabi.wolff@arcor.de>
 Section: libs
-Priority: extra
+Priority: optional
 Build-Depends: debhelper (>= 10),
                autoconf,
                automake,
@@ -11,7 +11,7 @@
                zlib1g-dev,
                python,
                dh-python
-Standards-Version: 4.0.0
+Standards-Version: 4.1.2
 Homepage: https://bitbucket.org/libtcod/libtcod
 
 Package: libtcod0
