=== debian/changelog ===
libtcod (1.6.4+dfsg-2) unstable; urgency=medium

  * Add patch 03-disable-rexpaint.patch to remove support for loading
    and saving REXPaint files (Closes: #884000).

 -- Fabian Wolff <fabi.wolff@arcor.de>  Sun, 24 Dec 2017 17:59:10 +0100

libtcod (1.6.4+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Add Files-Excluded field in debian/copyright.
  * Refresh patches.
  * Upgrade to Standards-Version 4.1.2:
    debian/control: change priority from "extra" to "optional"
  * Update symbols file.

 -- Fabian Wolff <fabi.wolff@arcor.de>  Sat, 09 Dec 2017 15:48:50 +0100
