=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 %:
-	dh $@  --with python2 --parallel --sourcedirectory=build/autotools
+	dh $@  --with python2 --sourcedirectory=build/autotools
 
 override_dh_auto_configure:
 	cd build/autotools; autoreconf -fi
