=== debian/watch ===
version=4
opts="dversionmangle=s/\+dfsg\d*$//,filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%libtcod-$1.tar.gz%" https://bitbucket.org/libtcod/libtcod/downloads?tab=tags (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
