## libtcod 1.7.0%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -2,20 +2,20 @@
 Maintainer: Fabian Wolff <fabi.wolff@arcor.de>
 Section: libs
 Priority: optional
-Build-Depends: debhelper (>= 10),
-               autoconf,
-               automake,
-               libtool,
+Build-Depends: debhelper (>= 11),
                pkg-config,
                libsdl2-dev,
                zlib1g-dev,
                python,
+               python3,
                dh-python
-Standards-Version: 4.1.2
+Standards-Version: 4.1.4
 Homepage: https://bitbucket.org/libtcod/libtcod
+Vcs-Git: https://salsa.debian.org/wolff-guest/libtcod.git/
+Vcs-Browser: https://salsa.debian.org/wolff-guest/libtcod
 
 Package: libtcod0
-Architecture: any
+Architecture: linux-any
 Multi-Arch: same
 Depends: ${misc:Depends},
          ${shlibs:Depends}
@@ -29,7 +29,7 @@
  install it manually.
 
 Package: libtcod-dev
-Architecture: any
+Architecture: linux-any
 Multi-Arch: same
 Section: libdevel
 Depends: libtcod0 (= ${binary:Version}),
@@ -48,10 +48,25 @@
          ${shlibs:Depends},
          ${misc:Depends},
          ${python:Depends}
-Description: Python bindings for the libtcod library
+Description: Python 2 bindings for the libtcod library
  Libtcod offers a free, fast, portable and uncomplicated API for
  roguelike developers providing an advanced true color console, input
  and lots of other utilities frequently used in roguelikes.
  .
  This package contains the libtcodpy wrapper module needed to use
- libtcod in Python programs.
+ libtcod in Python 2 programs.
+
+Package: python3-libtcod
+Architecture: all
+Section: python
+Depends: libtcod-dev (>= ${binary:Version}),
+         ${shlibs:Depends},
+         ${misc:Depends},
+         ${python3:Depends}
+Description: Python 3 bindings for the libtcod library
+ Libtcod offers a free, fast, portable and uncomplicated API for
+ roguelike developers providing an advanced true color console, input
+ and lots of other utilities frequently used in roguelikes.
+ .
+ This package contains the libtcodpy wrapper module needed to use
+ libtcod in Python 3 programs.
